# API documentation for libmpg123, libout123, and libsyn123

Note: This API doc is automatically generated from the current development version that you can get via Subversion or as a daily snapshot from http://mpg123.org/snapshot. There may be differences (additions) compared to the latest stable release. See NEWS.libmpg123, NEWS.libout123, NEWS.libsyn123, and the overall NEWS file on libmpg123 versions and important changes between them.
Let me emphasize that the policy for the lib*123 family is to always stay backwards compatible -- only additions are planned (and it's not yet planned to change the plans;-).
Functions
id3dump.c File Reference
example programs using libmpg123 and libout123
`#include "mpg123.h"`
`#include <string.h>`
`#include "stdio.h"`
`#include "sys/types.h"`

Go to the source code of this file.

## Functions
void | safe_print (char *name, char *data, size_t size)
void | print_v1 (mpg123_id3v1 *v1)
void | print_lines (const char *prefix, mpg123_string *inlines)
void | print_v2 (mpg123_id3v2 *v2)
void | print_raw_v2 (mpg123_id3v2 *v2)
int | main (int argc, char **argv)

## Detailed Description

Parse ID3 info and print to standard output.

Definition in file id3dump.c.

## Function Documentation

## ◆ safe_print()

void safe_print | ( | char * | name,
|  | char * | data,
|  | size_t | size
| ) |  |

Helper for v1 printing, get these strings their zero byte.

Definition at line 14 of file id3dump.c.

## ◆ print_v1()

void print_v1 | ( | mpg123_id3v1 * | v1 | ) |

Print out ID3v1 info.

Definition at line 25 of file id3dump.c.

## ◆ print_lines()

void print_lines | ( | const char * | prefix,
|  | mpg123_string * | inlines
| ) |  |

Split up a number of lines separated by \n, \r, both or just zero byte and print out each line with specified prefix.

Definition at line 37 of file id3dump.c.

## ◆ print_v2()

void print_v2 | ( | mpg123_id3v2 * | v2 | ) |

Print out the named ID3v2 fields.

Definition at line 79 of file id3dump.c.

## ◆ print_raw_v2()

void print_raw_v2 | ( | mpg123_id3v2 * | v2 | ) |

Print out all stored ID3v2 fields with their 4-character IDs.

Definition at line 90 of file id3dump.c.

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

The whole operation.

Definition at line 134 of file id3dump.c.